using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using ItemRazor.Models;
using ItemRazor.Services;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace ItemRazor.Pages
{
    public class GetAllItemsModel : PageModel
    {
        private ItemRepositoryService itemService;
        public List<Models.Item> Items { get; private set; }
        [BindProperty] public string FilterString { get; set; }

        public GetAllItemsModel(ItemRepositoryService itemService) //Dependency Injection
        {
            this.itemService=itemService;
        }

        public IActionResult OnGet()
        {
            Items = itemService.GetItems().ToList();
            return Page();
        }

        public IActionResult OnPostNameFilter()
        {
            Items = itemService.NameFilter(FilterString).ToList();
            return Page();
        }

        public IActionResult OnPostPriceFilter(int maxPrice, int minPrice = 0)
        {
            Items = itemService.PriceFilter(maxPrice, minPrice).ToList();
            return Page();
        }
    }
}
