﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using ItemRazor.Models;
using ItemRazor.MockData;


namespace ItemRazor.Services
{
    public class ItemRepositoryService : IItemRepositoryService
    {

        private List<Item> items;

        public ItemRepositoryService()
        {
            items = MockItems.GetMockItems();
        }

        public void AddItem(Item item)
        {
            items.Add(item);
        }

        public IEnumerable<Item> GetItems()
        {
            return items;
        }

        public IEnumerable<Item> NameFilter(string str)
        {
            List<Item> filterList = new List<Item>();
            foreach (Item item in items)
            {
                if (item.Name.ToLower().Contains(str.ToLower()))
                {
                    filterList.Add(item);
                }
            }

            return filterList;
        }

        public IEnumerable<Item> PriceFilter(int maxPrice, int minPrice = 0)
        {
            List<Item> filterList = new List<Item>();
            foreach (Item item in items)
            {
                if (item.Price>=minPrice && item.Price<=maxPrice)
                {
                    filterList.Add(item);
                }
            }

            return filterList;
        }

    }
}
